#
# spec file for package perl-CPAN-Testers-Common-Article
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CPAN-Testers-Common-Article
Version:        0.46
Release:        1.1
%define cpan_name CPAN-Testers-Common-Article
Summary:        Parse a CPAN Testers NNTP article
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CPAN-Testers-Common-Article/
Source0:        http://www.cpan.org/authors/id/B/BA/BARBIE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::DistnameInfo)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Email::Simple)
BuildRequires:  perl(Test::More) >= 0.70
Requires:       perl(CPAN::DistnameInfo)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Email::Simple)
Requires:       perl(Test::More) >= 0.70
Recommends:     perl(Test::CPAN::Meta)
Recommends:     perl(Test::CPAN::Meta::JSON)
Recommends:     perl(Test::Pod) >= 1.00
Recommends:     perl(Test::Pod::Coverage) >= 0.08
%{perl_requires}

%description
Given an NNTP article from the cpan-testers or cpan-uploads feed, will
parse and return the appropriate the data parts via accessors.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.46
  see /usr/share/doc/packages/perl-CPAN-Testers-Common-Article/Changes
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.42
  * created by cpanspec 1.78.04
